SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (File Transfer/Sharing)  >   Samba Vendors:   Samba.org
Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1020123
SecurityTracker URL:  http://securitytracker.com/id/1020123
CVE Reference:   CVE-2008-1105   (Links to External Site)
Updated:  May 28 2008
Original Entry Date:  May 28 2008
Impact:   Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to 3.0.30
Description:   A vulnerability was reported in Samba. A remote user can execute arbitrary code on the target system.

A remote server can send a specially crafted SMB packet to a connected client to trigger a heap overflow in receive_smb_raw() and execute arbitrary code on the target client system.

A remote user can also send a specially crafted print request to a target nmbd server to execute arbitrary code on the target server. The code will run with the privileges of the target service.

The vulnerability resides in 'lib/util_sock.c'.

The vendor was notified on May 15, 2008.

Alin Rad Pop of Secunia Research reported this vulnerability.

The original advisory is available at:

http://secunia.com/secunia_research/2008-20/advisory/

Impact:   A remote user can execute arbitrary code on the target system.
Solution:   The vendor has issued a fixed version (3.0.30).

The vendor's advisory is available at:

http://samba.org/samba/security/CVE-2008-1105.html

Vendor URL:  samba.org/samba/security/CVE-2008-1105.html (Links to External Site)
Cause:   Boundary error
Underlying OS:   Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
May 28 2008 (Red Hat Issues Fix) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 2.1, 3, and 4.
May 28 2008 (Red Hat Issues Fix) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 4.5.z.
May 28 2008 (Red Hat Issues Fix) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code   (bugzilla@redhat.com)
Red Hat has released a fix for Red Hat Enterprise Linux 5.
Jun 23 2008 (HP Issues Fix for HP-UX) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code
HP has issued a fix for HP-UX 11.11, 11.23, and 11.31.
Jul 1 2008 (Apple Issues Fix for Mac OS X) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code
Apple has issued a fix for Mac OS X.
Jul 29 2008 (VMware Issues Fix for ESX Server) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code   (security-announce@lists.vmware.com)
VMware has issued a fix for VMware ESX Server 3.5.
Jan 15 2009 (Sun Issues Fix for Solaris) Samba Buffer Overflow in receive_smb_raw() Lets Remote Users Execute Arbitrary Code
Sun has issued a fix for Solaris 9 and 10.



 Source Message Contents

Date:  Wed, 28 May 2008 08:36:47 -0400
Subject:  Samba


http://secunia.com/secunia_research/2008-20/advisory/

CVE-2008-1105

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC